<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package gainioz
 */
?>

<!doctype html>
<html <?php language_attributes();?>>
<head>
	<meta charset="<?php bloginfo( 'charset' );?>">
    <?php if ( is_singular() && pings_open( get_queried_object() ) ): ?>
    <?php endif;?>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head();?>
</head>

<body <?php body_class();?>>

    <?php
        $gainioz_preloader = get_theme_mod( 'gainioz_preloader', false );
        $gainioz_preloader_text = get_theme_mod( 'gainioz_preloader_text', __('DO GOOD FOR OTHERS', 'gainioz') );
        $gainioz_cursor = get_theme_mod( 'gainioz_cursor', true );
        $gainioz_backtotop = get_theme_mod( 'gainioz_backtotop', true );
        $gainioz_preloader_icon = get_template_directory_uri() . '/assets/image/logos/logo_1.svg';
        $gainioz_preloader_logo = get_theme_mod( 'gainioz_preloader_logo', $gainioz_preloader_icon); ;
    ?>

    <?php if ( !empty( $gainioz_preloader ) ): ?>
      <!-- pre loader area start -->
     <div id="preloader">
       <div class="ctn-preloader" id="ctn-preloader">
         <div class="round_spinner">
           <div class="spinner"></div>
           <div class="text">
             <img src="<?php echo esc_url($gainioz_preloader_logo); ?>" alt="<?php echo esc_attr__('icon','gainioz'); ?>">
           </div>
         </div>
         <?php if(!empty($gainioz_preloader_text)) : ?>
         <h2 class="head"><?php echo esc_html($gainioz_preloader_text); ?></h2>
          <?php endif; ?>
         <p></p>
       </div>
     </div>
      <!-- pre loader area end -->
    <?php endif;?>


    <?php if ( !empty( $gainioz_backtotop ) ): ?>
    <!-- back to top start -->
    <div class="progress-wrap">
      <svg class="progress-circle svg-content" width="100%" height="100%" viewBox="-1 -1 102 102">
        <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98" />
      </svg>
    </div>
    <!-- back to top end -->
    <?php endif;?>

    <?php if ( !empty( $gainioz_cursor ) ): ?>
    <div class="mouseCursor cursor-outer"></div>
    <div class="mouseCursor cursor-inner"></div>
    <?php endif;?>

  <!-- Template Search -->
  <?php gainioz_search_form_2(); ?>
  <!-- Template Search End -->


    <?php wp_body_open();?>

    <!-- header start -->
    <?php do_action( 'gainioz_header_style' );?>
    <!-- header end -->

    <!-- wrapper-box start -->
    <?php do_action( 'gainioz_before_main_content' );?>
