<?php

/**
 * gainioz customizer
 *
 * @package gainioz
 */

// Exit if accessed directly
if (!defined('ABSPATH')) {
    exit;
}

/**
 * Added Panels & Sections
 */
function gainioz_customizer_panels_sections($wp_customize)
{

    //Add panel
    $wp_customize->add_panel('gainioz_customizer', [
        'priority' => 10,
        'title'    => esc_html__('Gainioz Customizer', 'gainioz'),
    ]);

    /**
     * Customizer Section
     */
    $wp_customize->add_section('header_top_setting', [
        'title'       => esc_html__('Header Info Setting', 'gainioz'),
        'description' => '',
        'priority'    => 10,
        'capability'  => 'edit_theme_options',
        'panel'       => 'gainioz_customizer',
    ]);


    $wp_customize->add_section('header_social', [
        'title'       => esc_html__('Header Social', 'gainioz'),
        'description' => '',
        'priority'    => 11,
        'capability'  => 'edit_theme_options',
        'panel'       => 'gainioz_customizer',
    ]);

    $wp_customize->add_section('section_header_logo', [
        'title'       => esc_html__('Header Setting', 'gainioz'),
        'description' => '',
        'priority'    => 12,
        'capability'  => 'edit_theme_options',
        'panel'       => 'gainioz_customizer',
    ]);

    $wp_customize->add_section('blog_setting', [
        'title'       => esc_html__('Blog Setting', 'gainioz'),
        'description' => '',
        'priority'    => 13,
        'capability'  => 'edit_theme_options',
        'panel'       => 'gainioz_customizer',
    ]);

    $wp_customize->add_section('header_side_setting', [
        'title'       => esc_html__('Side Info', 'gainioz'),
        'description' => '',
        'priority'    => 14,
        'capability'  => 'edit_theme_options',
        'panel'       => 'gainioz_customizer',
    ]);

    $wp_customize->add_section('breadcrumb_setting', [
        'title'       => esc_html__('Breadcrumb Setting', 'gainioz'),
        'description' => '',
        'priority'    => 15,
        'capability'  => 'edit_theme_options',
        'panel'       => 'gainioz_customizer',
    ]);

    $wp_customize->add_section('blog_setting', [
        'title'       => esc_html__('Blog Setting', 'gainioz'),
        'description' => '',
        'priority'    => 16,
        'capability'  => 'edit_theme_options',
        'panel'       => 'gainioz_customizer',
    ]);

    $wp_customize->add_section('footer_setting', [
        'title'       => esc_html__('Footer Settings', 'gainioz'),
        'description' => '',
        'priority'    => 16,
        'capability'  => 'edit_theme_options',
        'panel'       => 'gainioz_customizer',
    ]);

    $wp_customize->add_section('color_setting', [
        'title'       => esc_html__('Color Setting', 'gainioz'),
        'description' => '',
        'priority'    => 17,
        'capability'  => 'edit_theme_options',
        'panel'       => 'gainioz_customizer',
    ]);

    $wp_customize->add_section('404_page', [
        'title'       => esc_html__('404 Page', 'gainioz'),
        'description' => '',
        'priority'    => 18,
        'capability'  => 'edit_theme_options',
        'panel'       => 'gainioz_customizer',
    ]);

    $wp_customize->add_section('slug_setting', [
        'title'       => esc_html__('Slug Settings', 'gainioz'),
        'description' => '',
        'priority'    => 22,
        'capability'  => 'edit_theme_options',
        'panel'       => 'gainioz_customizer',
    ]);

    $wp_customize->add_section('typo_setting', [
        'title'       => esc_html__('Typography Setting', 'gainioz'),
        'description' => '',
        'priority'    => 21,
        'capability'  => 'edit_theme_options',
        'panel'       => 'gainioz_customizer',
    ]);
}

add_action('customize_register', 'gainioz_customizer_panels_sections');




// for top fields
function _header_top_fields($fields)
{


    $fields[] = [
        'type'     => 'switch',
        'settings' => 'gainioz_preloader',
        'label'    => esc_html__('Preloader On/Off', 'gainioz'),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_preloader_text',
        'label'    => esc_html__('Preloader Text', 'gainioz'),
        'section'  => 'header_top_setting',
        'default'  => esc_html__('DO GOOD FOR OTHERS', 'gainioz'),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'gainioz_preloader',
                'operator' => '==',
                'value'    => true,
            ]
        ],
    ];
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'gainioz_cursor',
        'label'    => esc_html__('Cursor Style On/Off', 'gainioz'),
        'section'  => 'header_top_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'gainioz_preloader_logo',
        'label'       => esc_html__('Preloader Logo', 'gainioz'),
        'description' => esc_html__('Upload Your Logo.', 'gainioz'),
        'section'     => 'header_top_setting',
        'default'     => get_template_directory_uri() . '/assets/image/logos/logo_1.svg',
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'gainioz_backtotop',
        'label'    => esc_html__('Back To Top On/Off', 'gainioz'),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'gainioz_header_right',
        'label'    => esc_html__('Header Right On/Off', 'gainioz'),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];




    // gainioz_button
    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_button_text',
        'label'    => esc_html__('Button Text', 'gainioz'),
        'section'  => 'header_top_setting',
        'default'  => esc_html__('Donate Now', 'gainioz'),
        'priority' => 10,
    ];
    // gainioz_button_link
    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_button_link',
        'label'    => esc_html__('Button Link', 'gainioz'),
        'section'  => 'header_top_setting',
        'default'  => esc_html__('#', 'gainioz'),
        'priority' => 10,
    ];


    return $fields;
}
add_filter('kirki/fields', '_header_top_fields');

/*
Header Social
 */
function _header_social_fields($fields)
{
    // header section social
    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_topbar_fb_url',
        'label'    => esc_html__('Facebook Url', 'gainioz'),
        'section'  => 'header_social',
        'default'  => esc_html__('#', 'gainioz'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_topbar_twitter_url',
        'label'    => esc_html__('Twitter Url', 'gainioz'),
        'section'  => 'header_social',
        'default'  => esc_html__('#', 'gainioz'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_topbar_instagram_url',
        'label'    => esc_html__('Instagram Url', 'gainioz'),
        'section'  => 'header_social',
        'default'  => esc_html__('#', 'gainioz'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_topbar_google_url',
        'label'    => esc_html__('Google Plus Url', 'gainioz'),
        'section'  => 'header_social',
        'default'  => esc_html__('#', 'gainioz'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_topbar_linkedin_url',
        'label'    => esc_html__('linkedin Url', 'gainioz'),
        'section'  => 'header_social',
        'default'  => esc_html__('#', 'gainioz'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_topbar_youtube_url',
        'label'    => esc_html__('Youtube Url', 'gainioz'),
        'section'  => 'header_social',
        'default'  => esc_html__('#', 'gainioz'),
        'priority' => 10,
    ];


    return $fields;
}
add_filter('kirki/fields', '_header_social_fields');

/*
Header Settings
 */
function _header_header_fields($fields)
{

    $fields[] = [
        'type'        => 'radio-image',
        'settings'    => 'choose_default_header',
        'label'       => esc_html__('Select Header Style', 'gainioz'),
        'section'     => 'section_header_logo',
        'placeholder' => esc_html__('Select an option...', 'gainioz'),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            'header-style-1'   => get_template_directory_uri() . '/inc/img/header/header-1.png',
            'header-style-2' => get_template_directory_uri() . '/inc/img/header/header-2.png',
            'header-style-3' => get_template_directory_uri() . '/inc/img/header/header-3.png',

        ],
        'default'     => 'header-style-1',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'logo',
        'label'       => esc_html__('Header Logo', 'gainioz'),
        'description' => esc_html__('Upload Your Logo.', 'gainioz'),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/image/logos/logo_1.svg',
    ];

    // gainioz_header_bg
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'gainioz_header_bg',
        'label'       => __('Header BG Color', 'gainioz'),
        'description' => esc_html__('This is a Header bg color control.', 'gainioz'),
        'section'     => 'section_header_logo',
        'default'     => '#075f33',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'seconday_logo',
        'label'       => esc_html__('Header Secondary Logo', 'gainioz'),
        'description' => esc_html__('Header Logo Black', 'gainioz'),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/image/logos/logo_2.svg',
    ];


    return $fields;
}
add_filter('kirki/fields', '_header_header_fields');

/*
Header Side Info
 */
function _header_side_fields($fields)
{
    // side info settings
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'gainioz_hamburger_hide',
        'label'    => esc_html__('Show Hamburger On/Off', 'gainioz'),
        'section'  => 'header_side_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'gainioz_side_logo',
        'label'       => esc_html__('Side Logo', 'gainioz'),
        'description' => esc_html__('Upload Your Logo.', 'gainioz'),
        'section'     => 'header_side_setting',
        'default'     => get_template_directory_uri() . '/assets/image/logos/logo_1.svg',
    ];


    $fields[] = [
        'type'     => 'switch',
        'settings' => 'gainioz_side_contact_hide',
        'label'    => esc_html__('Side Contact Info On/Off', 'gainioz'),
        'section'  => 'header_side_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];


    // address
    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_side_address',
        'label'    => esc_html__('Office Address', 'gainioz'),
        'section'  => 'header_side_setting',
        'default'  => esc_html__('28/4 Palmal, London', 'gainioz'),
        'priority' => 10,
    ];

    // phone
    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_side_phone',
        'label'    => esc_html__('Phone Number', 'gainioz'),
        'section'  => 'header_side_setting',
        'default'  => esc_html__('333 888 200 - 55', 'gainioz'),
        'priority' => 10,
    ];

    // phone link
    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_side_phone_link',
        'label'    => esc_html__('Phone Number Link', 'gainioz'),
        'section'  => 'header_side_setting',
        'default'  => esc_html__('333 888 200 - 55', 'gainioz'),
        'priority' => 10,
    ];

    // mail id
    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_side_mail',
        'label'    => esc_html__('Email ID', 'gainioz'),
        'section'  => 'header_side_setting',
        'default'  => esc_html__('info@gainioz.com', 'gainioz'),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_side_mail_link',
        'label'    => esc_html__('Email ID Link', 'gainioz'),
        'section'  => 'header_side_setting',
        'default'  => esc_html__('info@gainioz.com', 'gainioz'),
        'priority' => 10,
    ];
    return $fields;
}
add_filter('kirki/fields', '_header_side_fields');

/*
_header_page_title_fields
 */
function _header_page_title_fields($fields)
{
    // Breadcrumb Setting

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'gainioz_breadcrumb_switch',
        'label'    => esc_html__('Breadcrumb Show/Hide', 'gainioz'),
        'section'  => 'breadcrumb_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'gainioz_breadcrumb_shape_switch',
        'label'    => esc_html__('Breadcrumb Shape Show/Hide', 'gainioz'),
        'section'  => 'breadcrumb_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'breadcrumb_bg_img',
        'label'       => esc_html__('Breadcrumb Background Image', 'gainioz'),
        'description' => esc_html__('Breadcrumb Background Image', 'gainioz'),
        'section'     => 'breadcrumb_setting',
        'default'     => get_template_directory_uri() . '/assets/image/bg/pageBreadcumbBg1.jpg',
    ];

    new \Kirki\Field\Dimensions(
        [
            'settings'    => 'gainioz_breadcrumb_padding',
            'label'       => esc_html__('Breadcrumb Vertical Padding', 'gainioz'),
            'description' => esc_html__('Change Breadcrumb Vertical Padding here', 'gainioz'),
            'section'     => 'breadcrumb_setting',
            'priority' => 15,
            'responsive' => true,
            'default'     => [
                'desktop' =>  [
                    'padding-top'  => '165px',
                    'padding-bottom' => '138px',
                ],
                'tablet'  => [
                    'padding-top'  => '120px',
                    'padding-bottom' => '120px',
                ],
                'mobile'  => [
                    'padding-top'  => '120px',
                    'padding-bottom' => '120px',
                ],
            ],
            'output'      => [
                [
                    'element' => '.pageBreadcumb--style1',
                    'media_query' => [
                        'desktop' => '@media (min-width: 1024px)',
                        'tablet'  => '@media (min-width: 768px) and (max-width: 1023px)',
                        'mobile'  => '@media (max-width: 767px)',
                    ],
                ],
            ],
            'active_callback' => [
                [
                    'setting' => 'gainioz_breadcrumb_padding',
                    'operator' => '==',
                    'value' => ''
                ]
            ]
        ]
    );

    return $fields;
}
add_filter('kirki/fields', '_header_page_title_fields');

/*
Header Social
 */
function _header_blog_fields($fields)
{
    // Blog Setting
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'gainioz_blog_btn_switch',
        'label'    => esc_html__('Blog BTN On/Off', 'gainioz'),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];
    // gainioz_blog_author
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'gainioz_blog_author',
        'label'    => esc_html__('Blog Author Meta On/Off', 'gainioz'),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'gainioz_blog_date',
        'label'    => esc_html__('Blog Date Meta On/Off', 'gainioz'),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'gainioz_blog_comments',
        'label'    => esc_html__('Blog Comments Meta On/Off', 'gainioz'),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'gainioz_blog_cat',
        'label'    => esc_html__('Blog Category Meta On/Off', 'gainioz'),
        'section'  => 'blog_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_blog_btn',
        'label'    => esc_html__('Blog Button text', 'gainioz'),
        'section'  => 'blog_setting',
        'default'  => esc_html__('Read More', 'gainioz'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title',
        'label'    => esc_html__('Blog Title', 'gainioz'),
        'section'  => 'blog_setting',
        'default'  => esc_html__('Blog', 'gainioz'),
        'priority' => 10,
    ];

    return $fields;
}
add_filter('kirki/fields', '_header_blog_fields');

/*
Footer
 */
function _header_footer_fields($fields)
{

    $fields[] = [
        'type'        => 'radio-image',
        'settings'    => 'choose_default_footer',
        'label'       => esc_html__('Choose Footer Style', 'gainioz'),
        'section'     => 'footer_setting',
        'default'     => '5',
        'placeholder' => esc_html__('Select an option...', 'gainioz'),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            'footer-style-1'   => get_template_directory_uri() . '/inc/img/footer/footer-1.png',
            'footer-style-2' => get_template_directory_uri() . '/inc/img/footer/footer-2.png',
        ],
        'default'     => 'footer-style-1',
    ];


    $fields[] = [
        'type'        => 'select',
        'settings'    => 'footer_widget_number',
        'label'       => esc_html__('Widget Number', 'gainioz'),
        'section'     => 'footer_setting',
        'default'     => '4',
        'placeholder' => esc_html__('Select an option...', 'gainioz'),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            '4' => esc_html__('Widget Number 4', 'gainioz'),
            '3' => esc_html__('Widget Number 3', 'gainioz'),
            '2' => esc_html__('Widget Number 2', 'gainioz'),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_shape',
        'label'    => esc_html__('Footer Shape On/Off', 'gainioz'),
        'section'  => 'footer_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_top_swtich',
        'label'    => esc_html__('Footer Topbar On/Off', 'gainioz'),
        'section'  => 'footer_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_style_2_switch',
        'label'    => esc_html__('Footer Style 2 On/Off', 'gainioz'),
        'section'  => 'footer_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];


    $fields[] = [
        'type'        => 'image',
        'settings'    => 'gainioz_footer_bg',
        'label'       => esc_html__('Footer Background Image.', 'gainioz'),
        'description' => esc_html__('Footer Background Image.', 'gainioz'),
        'section'     => 'footer_setting',
        'default'     => '',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'footer_logo',
        'label'       => esc_html__('Footer Logo.', 'gainioz'),
        'description' => esc_html__('Footer Logo Image.', 'gainioz'),
        'section'     => 'footer_setting',
        'default'     => get_template_directory_uri() . '/assets/image/logos/logo_2.svg',
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'gainioz_footer_bg_color',
        'label'       => __('Footer BG Color', 'gainioz'),
        'description' => esc_html__('This is a Footer bg color control.', 'gainioz'),
        'section'     => 'footer_setting',
        'default'     => '#0d0d0d',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'gainioz_footer_bg_color_bottom',
        'label'       => __('Copyright BG Color', 'gainioz'),
        'description' => esc_html__('This is a Footer Copyright bg color control.', 'gainioz'),
        'section'     => 'footer_setting',
        'default'     => '#0d0d0d',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'gainioz_footer_bg_color_3',
        'label'       => __('Footer Style 3 BG Color', 'gainioz'),
        'description' => esc_html__('This is a Footer bg color control.', 'gainioz'),
        'section'     => 'footer_setting',
        'default'     => '#0d0d0d',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'gainioz_footer_bg_color_bottom_3',
        'label'       => __('Copyright Style 3 BG Color', 'gainioz'),
        'description' => esc_html__('This is a Footer Copyright bg color control.', 'gainioz'),
        'section'     => 'footer_setting',
        'default'     => '#0d0d0d',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_social_switch',
        'label'    => esc_html__('Footer Social On/Off', 'gainioz'),
        'section'  => 'footer_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_footer_fb_url',
        'label'    => esc_html__('Facebook Url', 'gainioz'),
        'section'  => 'footer_setting',
        'default'  => esc_html__('#', 'gainioz'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_footer_twitter_url',
        'label'    => esc_html__('Twitter Url', 'gainioz'),
        'section'  => 'footer_setting',
        'default'  => esc_html__('#', 'gainioz'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_footer_instagram_url',
        'label'    => esc_html__('Instagram Url', 'gainioz'),
        'section'  => 'footer_setting',
        'default'  => esc_html__('#', 'gainioz'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_footer_google_url',
        'label'    => esc_html__('Google Plus Url', 'gainioz'),
        'section'  => 'footer_setting',
        'default'  => esc_html__('#', 'gainioz'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_footer_linkedin_url',
        'label'    => esc_html__('linkedin Url', 'gainioz'),
        'section'  => 'footer_setting',
        'default'  => esc_html__('#', 'gainioz'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_footer_youtube_url',
        'label'    => esc_html__('Youtube Url', 'gainioz'),
        'section'  => 'footer_setting',
        'default'  => esc_html__('#', 'gainioz'),
        'priority' => 10,
    ];


    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_subcriber_switch',
        'label'    => esc_html__('Footer Subscribe On/Off', 'gainioz'),
        'section'  => 'footer_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_subcriber2_switch',
        'label'    => esc_html__('Footer Subscribe 2 On/Off', 'gainioz'),
        'section'  => 'footer_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__('Enable', 'gainioz'),
            'off' => esc_html__('Disable', 'gainioz'),
        ],
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'footer__copyright_text',
        'label'    => esc_html__('Footer Copyright Text', 'gainioz'),
        'section'  => 'footer_setting',
        'default'  => esc_html__('Copyright ©2024 Theme_pure. All Rights Reserved Copyright ', 'gainioz'),
        'priority' => 10,
    ];


    return $fields;
}
add_filter('kirki/fields', '_header_footer_fields');



// color
function gainioz_color_fields($fields)
{

    // Color Settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'gainioz_color_option_prim',
        'label'       => __('Primary Color', 'gainioz'),
        'description' => esc_html__('This is a Primary color control.', 'gainioz'),
        'section'     => 'color_setting',
        'default'     => '#7fb432',
        'priority'    => 10,

    ];

    // Color Settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'gainioz_color_option_sec',
        'label'       => __('Secondary Color', 'gainioz'),
        'description' => esc_html__('This is a Secondary color control.', 'gainioz'),
        'section'     => 'color_setting',
        'default'     => '#eb9309',
        'priority'    => 10,
    ];

    // color settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'gainioz_color_option_body',
        'label'       => __('Body Color', 'gainioz'),
        'description' => esc_html__('This is a Body color control.', 'gainioz'),
        'section'     => 'color_setting',
        'default'     => '#666666',
        'priority'    => 10,
    ];

    // color settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'gainioz_color_option_black',
        'label'       => __('Black Color', 'gainioz'),
        'description' => esc_html__('This is a Black color control.', 'gainioz'),
        'section'     => 'color_setting',
        'default'     => '#000',
        'priority'    => 10,
    ];

    // color settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'gainioz_color_option_white',
        'label'       => __('White Color', 'gainioz'),
        'description' => esc_html__('This is a White color control.', 'gainioz'),
        'section'     => 'color_setting',
        'default'     => '#fff',
        'priority'    => 10,
    ];

    return $fields;
}
add_filter('kirki/fields', 'gainioz_color_fields');

// 404
function gainioz_404_fields($fields)
{
    // 404 settings
    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_error_404_text',
        'label'    => esc_html__('400 Text', 'gainioz'),
        'section'  => '404_page',
        'default'  => esc_html__('404', 'gainioz'),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_error_title',
        'label'    => esc_html__('Not Found Title', 'gainioz'),
        'section'  => '404_page',
        'default'  => esc_html__('Page not found', 'gainioz'),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'gainioz_error_desc',
        'label'    => esc_html__('404 Description Text', 'gainioz'),
        'section'  => '404_page',
        'default'  => esc_html__('Oops! The page you are looking for does not exist. It might have been moved or deleted', 'gainioz'),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_error_link_text',
        'label'    => esc_html__('404 Link Text', 'gainioz'),
        'section'  => '404_page',
        'default'  => esc_html__('Back To Home', 'gainioz'),
        'priority' => 10,
    ];
    return $fields;
}
add_filter('kirki/fields', 'gainioz_404_fields');

/**
 * Added Fields
 */
function gainioz_typo_fields($fields)
{
    // typography settings
    // typography settings
    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_body_setting',
        'label'       => esc_html__('Body Font', 'gainioz'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'body',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h_setting',
        'label'       => esc_html__('Heading h1 Fonts', 'gainioz'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h1',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h2_setting',
        'label'       => esc_html__('Heading h2 Fonts', 'gainioz'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h2',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h3_setting',
        'label'       => esc_html__('Heading h3 Fonts', 'gainioz'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h3',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h4_setting',
        'label'       => esc_html__('Heading h4 Fonts', 'gainioz'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h4',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h5_setting',
        'label'       => esc_html__('Heading h5 Fonts', 'gainioz'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h5',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h6_setting',
        'label'       => esc_html__('Heading h6 Fonts', 'gainioz'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h6',
            ],
        ],
    ];
    return $fields;
}

add_filter('kirki/fields', 'gainioz_typo_fields');


/**
 * Added Fields
 */
function gainioz_slug_setting($fields)
{
    // slug settings
    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_sv_slug',
        'label'    => esc_html__('Service Slug', 'gainioz'),
        'section'  => 'slug_setting',
        'default'  => esc_html__('ourservices', 'gainioz'),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'gainioz_cases_slug',
        'label'    => esc_html__('Project Slug', 'gainioz'),
        'section'  => 'slug_setting',
        'default'  => esc_html__('ourproject', 'gainioz'),
        'priority' => 10,
    ];

    return $fields;
}

add_filter('kirki/fields', 'gainioz_slug_setting');

/**
 * This is a short hand function for getting setting value from customizer
 *
 * @param string $name
 *
 * @return bool|string
 */
function GAINIOZ_THEME_option($name)
{
    $value = '';
    if (class_exists('gainioz')) {
        $value = Kirki::get_option(gainioz_get_theme(), $name);
    }

    return apply_filters('GAINIOZ_THEME_option', $value, $name);
}

/**
 * Get config ID
 *
 * @return string
 */
function gainioz_get_theme()
{
    return 'gainioz';
}
