<?php

/**
 * Custom template tags for this theme
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package gainioz
 */

/**
 *
 * gainioz header
 */

function gainioz_check_header()
{
  $gainioz_header_style = function_exists('get_field') ? get_field('header_style') : NULL;
  $gainioz_default_header_style = get_theme_mod('choose_default_header', 'header-style-1');

  if ($gainioz_header_style == 'header-style-1') {
    gainioz_header_style_1();
  } elseif ($gainioz_header_style == 'header-style-2') {
    gainioz_header_style_2();
  } elseif ($gainioz_header_style == 'header-style-3') {
    gainioz_header_style_3();
  } elseif ($gainioz_header_style == 'header-style-onepage-1') {
    gainioz_header_style_onepage_1();
  } elseif ($gainioz_header_style == 'header-style-onepage-2') {
    gainioz_header_style_onepage_2();
  } elseif ($gainioz_header_style == 'header-style-onepage-3') {
    gainioz_header_style_onepage_3();
  } else {

    /** default header style **/
    if ($gainioz_default_header_style == 'header-style-2') {
      gainioz_header_style_2();
    } elseif ($gainioz_default_header_style == 'header-style-3') {
      gainioz_header_style_3();
    } elseif ($gainioz_default_header_style == 'header-style-onepage-1') {
      gainioz_header_style_onepage_1();
    } elseif ($gainioz_default_header_style == 'header-style-onepage-2') {
      gainioz_header_style_onepage_2();
    } elseif ($gainioz_default_header_style == 'header-style-onepage-3') {
      gainioz_header_style_onepage_3();
    } else {
      gainioz_header_style_1();
    }
  }
}
add_action('gainioz_header_style', 'gainioz_check_header', 10);


/**
 * header default
 */
function gainioz_header_style_1()
{

  $gainioz_topbar_switch = get_theme_mod('gainioz_topbar_switch', false);
  $gainioz_button_text = get_theme_mod('gainioz_button_text', __('donate now ', 'gainioz'));
  $gainioz_button_link = get_theme_mod('gainioz_button_link', __('#', 'gainioz'));
  $gainioz_header_right = get_theme_mod('gainioz_header_right', false);

  $gainioz_menu_col = $gainioz_header_right ? '' : 'header-right-enable';

?>


  <!-- header -->
  <header class="header header--styleFour sticky-on tp-header-deafult">
    <div>
      <div class="container container--custom">
        <div class="row">
          <div class="col-12">
            <div class="header__wrapper <?php print esc_attr($gainioz_menu_col); ?> ">
              <!-- logo start -->
              <div class="header__logo">
                <div class="header__logo__link header__logo__image">
                  <?php gainioz_header_logo(); ?>
                </div>
              </div>
              <!-- logo end -->
              <!-- Main Menu Start -->
              <div class="header__menu">
                <nav class="mainMenu" id="mobile-menu">
                  <?php gainioz_header_menu(); ?>
                </nav>
              </div>
              <!-- Main Menu End -->
              <!-- Header Right Buttons Search Cart -->
              <?php if (!empty($gainioz_header_right)) : ?>
                <div class="header-right-wrapper d-flex align-items-center justify-content-end">

                  <div class="header__right">

                    <div class="header__actions header__actions--style2">
                      <ul>
                        <li>
                          <a href="#template-search">
                            <svg width="23" height="23" viewBox="0 0 23 23" fill="none" xmlns="http://www.w3.org/2000/svg">
                              <path d="M21.8281 21.4609L16.2852 15.918C16.1992 15.832 16.0703 15.7891 15.9414 15.7891H15.4688C16.9727 14.1562 17.875 12.0508 17.875 9.6875C17.875 4.78906 13.8359 0.75 8.9375 0.75C3.99609 0.75 0 4.78906 0 9.6875C0 14.6289 3.99609 18.625 8.9375 18.625C11.2578 18.625 13.4062 17.7227 14.9961 16.2617V16.6914C14.9961 16.8633 15.0391 16.9922 15.125 17.0781L20.668 22.6211C20.8828 22.8359 21.1836 22.8359 21.3984 22.6211L21.8281 22.1914C22.043 21.9766 22.043 21.6758 21.8281 21.4609ZM8.9375 17.25C4.72656 17.25 1.375 13.8984 1.375 9.6875C1.375 5.51953 4.72656 2.125 8.9375 2.125C13.1055 2.125 16.5 5.51953 16.5 9.6875C16.5 13.8984 13.1055 17.25 8.9375 17.25Z" fill="#7FB432" />
                            </svg>
                          </a>
                        </li>
                        <li class="d-none">
                          <a href="#">
                            <span><?php print esc_html__('2', 'gainioz'); ?></span>
                            <svg width="25" height="20" viewBox="0 0 25 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                              <path d="M24.2344 7H20.9258L14.9102 0.382812C14.6523 0.0820312 14.2227 0.0820312 13.9648 0.339844C13.6641 0.597656 13.6641 1.02734 13.9219 1.28516L19.0781 7H5.62891L10.7852 1.28516C11.043 1.02734 11.043 0.597656 10.7422 0.339844C10.4844 0.0820312 10.0547 0.0820312 9.79688 0.382812L3.78125 7H0.515625C0.214844 7 0 7.25781 0 7.51562V7.85938C0 8.16016 0.214844 8.375 0.515625 8.375H1.20312L2.49219 17.6133C2.62109 18.6445 3.48047 19.375 4.51172 19.375H20.1953C21.2266 19.375 22.0859 18.6445 22.2148 17.6133L23.5039 8.375H24.2344C24.4922 8.375 24.75 8.16016 24.75 7.85938V7.51562C24.75 7.25781 24.4922 7 24.2344 7ZM20.8828 17.4414C20.7969 17.7852 20.5391 18 20.1953 18H4.51172C4.16797 18 3.91016 17.7852 3.82422 17.4414L2.57812 8.375H22.1289L20.8828 17.4414ZM13.0625 10.7812C13.0625 10.4375 12.7188 10.0938 12.375 10.0938C11.9883 10.0938 11.6875 10.4375 11.6875 10.7812V15.5938C11.6875 15.9805 11.9883 16.2812 12.375 16.2812C12.7188 16.2812 13.0625 15.9805 13.0625 15.5938V10.7812ZM17.875 10.7812C17.875 10.4375 17.5312 10.0938 17.1875 10.0938C16.8008 10.0938 16.5 10.4375 16.5 10.7812V15.5938C16.5 15.9805 16.8008 16.2812 17.1875 16.2812C17.5312 16.2812 17.875 15.9805 17.875 15.5938V10.7812ZM8.25 10.7812C8.25 10.4375 7.90625 10.0938 7.5625 10.0938C7.17578 10.0938 6.875 10.4375 6.875 10.7812V15.5938C6.875 15.9805 7.17578 16.2812 7.5625 16.2812C7.90625 16.2812 8.25 15.9805 8.25 15.5938V10.7812Z" fill="#7FB432" />
                            </svg>
                          </a>
                        </li>
                      </ul>
                    </div>

                    <?php if (!empty($gainioz_button_text)) : ?>
                      <div class="header__button d-none d-lg-block">
                        <a class="btn btn--styleOne btn--secondary it-btn" href="<?php print esc_url($gainioz_button_link); ?>">
                          <span class="btn__text"><?php print esc_html($gainioz_button_text); ?></span>
                          <i class="fas fa-heart btn__icon"></i>
                          <span class="it-btn__inner">
                            <span class="it-btn__blobs">
                              <span class="it-btn__blob"></span>
                              <span class="it-btn__blob"></span>
                              <span class="it-btn__blob"></span>
                              <span class="it-btn__blob"></span>
                            </span>
                          </span>
                          <svg class="it-btn__animation" xmlns="http://www.w3.org/2000/svg" version="1.1">
                            <defs>
                              <filter>
                                <feGaussianBlur in="SourceGraphic" result="blur" stdDeviation="10">
                                </feGaussianBlur>
                                <feColorMatrix in="blur" values="1 0 0 0 0 0 1 0 0 0 0 0 1 0 0 0 0 0 21 -7" result="goo">
                                </feColorMatrix>
                                <feBlend in2="goo" in="SourceGraphic" result="mix"></feBlend>
                              </filter>
                            </defs>
                          </svg>
                        </a>
                      </div>
                    <?php endif; ?>

                  </div>

                </div>
              <?php endif; ?>
              <button class="offcanvas-toggle-btn ml-30 d-lg-none" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvas" aria-controls="offcanvas"><i class="far fa-bars"></i></button>
              <!-- Header Right Buttons Search Cart -->
            </div>
          </div>
        </div>
      </div>
    </div>
  </header>
  <!-- end header -->


  <!-- side info start -->
  <?php gainioz_side_info(); ?>
  <!-- side info end -->
  <div class="body-overlay"></div>
  <!-- sidebar area end -->

<?php
}


/**
 * header style 2
 */
function gainioz_header_style_2()
{

  $gainioz_topbar_switch = get_theme_mod('gainioz_topbar_switch', false);
  $gainioz_button_text = get_theme_mod('gainioz_button_text', __('donate now ', 'gainioz'));
  $gainioz_button_link = get_theme_mod('gainioz_button_link', __('#', 'gainioz'));
  $gainioz_header_right = get_theme_mod('gainioz_header_right', false);

  $gainioz_menu_col = $gainioz_header_right ? '' : 'header-right-enable';

?>

  <!-- header -->
  <header class="header header--styleOne sticky-on tp-header-2">
    <div id="sticky-placeholder"></div>
    <div>
      <div class="container container--custom">
        <div class="row">
          <div class="col-12">
            <div class="header__wrapper <?php print esc_attr($gainioz_menu_col); ?> ">
              <!-- logo start -->
              <div class="header__logo">
                <div class="header__logo__link header__logo__image">
                  <?php gainioz_header_logo(); ?>
                </div>
              </div>
              <!-- logo end -->
              <!-- Main Menu Start -->
              <div class="header__menu">
                <nav class="mainMenu" id="mobile-menu">
                  <?php gainioz_header_menu(); ?>
                </nav>
              </div>
              <!-- Main Menu End -->
              <!-- Header Right Buttons Search Cart -->
              <?php if (!empty($gainioz_header_right)) : ?>
                <div class="header__right">
                  <div class="header__actions">
                    <ul>
                      <li class="d-none">
                        <a href="#">
                          <span><?php print esc_html__('2', 'gainioz'); ?></span>
                          <svg width="25" height="20" viewBox="0 0 25 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M24.2344 7H20.9258L14.9102 0.382812C14.6523 0.0820312 14.2227 0.0820312 13.9648 0.339844C13.6641 0.597656 13.6641 1.02734 13.9219 1.28516L19.0781 7H5.62891L10.7852 1.28516C11.043 1.02734 11.043 0.597656 10.7422 0.339844C10.4844 0.0820312 10.0547 0.0820312 9.79688 0.382812L3.78125 7H0.515625C0.214844 7 0 7.25781 0 7.51562V7.85938C0 8.16016 0.214844 8.375 0.515625 8.375H1.20312L2.49219 17.6133C2.62109 18.6445 3.48047 19.375 4.51172 19.375H20.1953C21.2266 19.375 22.0859 18.6445 22.2148 17.6133L23.5039 8.375H24.2344C24.4922 8.375 24.75 8.16016 24.75 7.85938V7.51562C24.75 7.25781 24.4922 7 24.2344 7ZM20.8828 17.4414C20.7969 17.7852 20.5391 18 20.1953 18H4.51172C4.16797 18 3.91016 17.7852 3.82422 17.4414L2.57812 8.375H22.1289L20.8828 17.4414ZM13.0625 10.7812C13.0625 10.4375 12.7188 10.0938 12.375 10.0938C11.9883 10.0938 11.6875 10.4375 11.6875 10.7812V15.5938C11.6875 15.9805 11.9883 16.2812 12.375 16.2812C12.7188 16.2812 13.0625 15.9805 13.0625 15.5938V10.7812ZM17.875 10.7812C17.875 10.4375 17.5312 10.0938 17.1875 10.0938C16.8008 10.0938 16.5 10.4375 16.5 10.7812V15.5938C16.5 15.9805 16.8008 16.2812 17.1875 16.2812C17.5312 16.2812 17.875 15.9805 17.875 15.5938V10.7812ZM8.25 10.7812C8.25 10.4375 7.90625 10.0938 7.5625 10.0938C7.17578 10.0938 6.875 10.4375 6.875 10.7812V15.5938C6.875 15.9805 7.17578 16.2812 7.5625 16.2812C7.90625 16.2812 8.25 15.9805 8.25 15.5938V10.7812Z" fill="#7FB432" />
                          </svg>
                        </a>
                      </li>
                      <li>
                        <a href="#template-search">
                          <svg width="23" height="23" viewBox="0 0 23 23" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M21.8281 21.4609L16.2852 15.918C16.1992 15.832 16.0703 15.7891 15.9414 15.7891H15.4688C16.9727 14.1562 17.875 12.0508 17.875 9.6875C17.875 4.78906 13.8359 0.75 8.9375 0.75C3.99609 0.75 0 4.78906 0 9.6875C0 14.6289 3.99609 18.625 8.9375 18.625C11.2578 18.625 13.4062 17.7227 14.9961 16.2617V16.6914C14.9961 16.8633 15.0391 16.9922 15.125 17.0781L20.668 22.6211C20.8828 22.8359 21.1836 22.8359 21.3984 22.6211L21.8281 22.1914C22.043 21.9766 22.043 21.6758 21.8281 21.4609ZM8.9375 17.25C4.72656 17.25 1.375 13.8984 1.375 9.6875C1.375 5.51953 4.72656 2.125 8.9375 2.125C13.1055 2.125 16.5 5.51953 16.5 9.6875C16.5 13.8984 13.1055 17.25 8.9375 17.25Z" fill="#7FB432" />
                          </svg>
                        </a>
                      </li>
                    </ul>
                  </div>

                  <?php if (!empty($gainioz_button_text)) : ?>
                    <div class="header__button d-none d-lg-block">
                      <a class="btn btn--styleOne btn--secondary it-btn" href="<?php print esc_url($gainioz_button_link); ?>">
                        <span class="btn__text"><?php print esc_html($gainioz_button_text); ?></span>
                        <i class="fas fa-heart btn__icon"></i>
                        <span class="it-btn__inner">
                          <span class="it-btn__blobs">
                            <span class="it-btn__blob"></span>
                            <span class="it-btn__blob"></span>
                            <span class="it-btn__blob"></span>
                            <span class="it-btn__blob"></span>
                          </span>
                        </span>
                        <svg class="it-btn__animation" xmlns="http://www.w3.org/2000/svg" version="1.1">
                          <defs>
                            <filter>
                              <feGaussianBlur in="SourceGraphic" result="blur" stdDeviation="10">
                              </feGaussianBlur>
                              <feColorMatrix in="blur" values="1 0 0 0 0 0 1 0 0 0 0 0 1 0 0 0 0 0 21 -7" result="goo">
                              </feColorMatrix>
                              <feBlend in2="goo" in="SourceGraphic" result="mix"></feBlend>
                            </filter>
                          </defs>
                        </svg>
                      </a>
                    </div>
                  <?php endif; ?>
                </div>
              <?php endif; ?>
              <button class="offcanvas-toggle-btn ml-30 d-lg-none" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvas" aria-controls="offcanvas"><i class="far fa-bars"></i></button>
              <!-- Header Right Buttons Search Cart -->
            </div>
          </div>
        </div>
      </div>
    </div>
  </header>
  <!-- end header -->

  <!-- side info start -->
  <?php gainioz_side_info(); ?>
  <!-- side info end -->
  <div class="body-overlay"></div>
  <!-- sidebar area end -->

<?php
}


// Header 3
function gainioz_header_style_3()
{

  $gainioz_topbar_switch = get_theme_mod('gainioz_topbar_switch', false);
  $gainioz_button_text = get_theme_mod('gainioz_button_text', __('donate now ', 'gainioz'));
  $gainioz_button_link = get_theme_mod('gainioz_button_link', __('#', 'gainioz'));
  $gainioz_header_right = get_theme_mod('gainioz_header_right', false);

  $gainioz_menu_col = $gainioz_header_right ? '' : 'header-right-enable';

?>

  <!-- header -->
  <header class="header header--styleThree sticky-on tp-header-3">
    <div id="sticky-placeholder"></div>
    <div>
      <div class="container container--custom">
        <div class="row">
          <div class="col-12">
            <div class="header__wrapper <?php print esc_attr($gainioz_menu_col); ?> ">
              <!-- logo start -->
              <div class="header__logo">
                <div class="header__logo__link header__logo__image">
                  <?php gainioz_header_logo(); ?>
                </div>
              </div>
              <!-- logo end -->
              <!-- Main Menu Start -->
              <div class="header__menu">
                <nav class="mainMenu" id="mobile-menu">
                  <?php gainioz_header_menu(); ?>
                </nav>
              </div>
              <!-- Main Menu End -->
              <!-- Header Right Buttons Search Cart -->
              <?php if (!empty($gainioz_header_right)) : ?>
                <div class="header__right">
                  <div class="header__actions">
                    <ul>
                      <li class="d-none">
                        <a href="#">
                          <span><?php print esc_html__('2', 'gainioz'); ?></span>
                          <svg width="25" height="20" viewBox="0 0 25 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M24.2344 7H20.9258L14.9102 0.382812C14.6523 0.0820312 14.2227 0.0820312 13.9648 0.339844C13.6641 0.597656 13.6641 1.02734 13.9219 1.28516L19.0781 7H5.62891L10.7852 1.28516C11.043 1.02734 11.043 0.597656 10.7422 0.339844C10.4844 0.0820312 10.0547 0.0820312 9.79688 0.382812L3.78125 7H0.515625C0.214844 7 0 7.25781 0 7.51562V7.85938C0 8.16016 0.214844 8.375 0.515625 8.375H1.20312L2.49219 17.6133C2.62109 18.6445 3.48047 19.375 4.51172 19.375H20.1953C21.2266 19.375 22.0859 18.6445 22.2148 17.6133L23.5039 8.375H24.2344C24.4922 8.375 24.75 8.16016 24.75 7.85938V7.51562C24.75 7.25781 24.4922 7 24.2344 7ZM20.8828 17.4414C20.7969 17.7852 20.5391 18 20.1953 18H4.51172C4.16797 18 3.91016 17.7852 3.82422 17.4414L2.57812 8.375H22.1289L20.8828 17.4414ZM13.0625 10.7812C13.0625 10.4375 12.7188 10.0938 12.375 10.0938C11.9883 10.0938 11.6875 10.4375 11.6875 10.7812V15.5938C11.6875 15.9805 11.9883 16.2812 12.375 16.2812C12.7188 16.2812 13.0625 15.9805 13.0625 15.5938V10.7812ZM17.875 10.7812C17.875 10.4375 17.5312 10.0938 17.1875 10.0938C16.8008 10.0938 16.5 10.4375 16.5 10.7812V15.5938C16.5 15.9805 16.8008 16.2812 17.1875 16.2812C17.5312 16.2812 17.875 15.9805 17.875 15.5938V10.7812ZM8.25 10.7812C8.25 10.4375 7.90625 10.0938 7.5625 10.0938C7.17578 10.0938 6.875 10.4375 6.875 10.7812V15.5938C6.875 15.9805 7.17578 16.2812 7.5625 16.2812C7.90625 16.2812 8.25 15.9805 8.25 15.5938V10.7812Z" fill="#7FB432" />
                          </svg>
                        </a>
                      </li>
                      <li>
                        <a href="#template-search">
                          <svg width="23" height="23" viewBox="0 0 23 23" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M21.8281 21.4609L16.2852 15.918C16.1992 15.832 16.0703 15.7891 15.9414 15.7891H15.4688C16.9727 14.1562 17.875 12.0508 17.875 9.6875C17.875 4.78906 13.8359 0.75 8.9375 0.75C3.99609 0.75 0 4.78906 0 9.6875C0 14.6289 3.99609 18.625 8.9375 18.625C11.2578 18.625 13.4062 17.7227 14.9961 16.2617V16.6914C14.9961 16.8633 15.0391 16.9922 15.125 17.0781L20.668 22.6211C20.8828 22.8359 21.1836 22.8359 21.3984 22.6211L21.8281 22.1914C22.043 21.9766 22.043 21.6758 21.8281 21.4609ZM8.9375 17.25C4.72656 17.25 1.375 13.8984 1.375 9.6875C1.375 5.51953 4.72656 2.125 8.9375 2.125C13.1055 2.125 16.5 5.51953 16.5 9.6875C16.5 13.8984 13.1055 17.25 8.9375 17.25Z" fill="#7FB432" />
                          </svg>
                        </a>
                      </li>
                    </ul>
                  </div>

                  <?php if (!empty($gainioz_button_text)) : ?>
                    <div class="header__button d-none d-lg-block">
                      <a class="btn btn--styleOne btn--secondary it-btn" href="<?php print esc_url($gainioz_button_link); ?>">
                        <span class="btn__text"><?php print esc_html($gainioz_button_text); ?></span>
                        <i class="fas fa-heart btn__icon"></i>
                        <span class="it-btn__inner">
                          <span class="it-btn__blobs">
                            <span class="it-btn__blob"></span>
                            <span class="it-btn__blob"></span>
                            <span class="it-btn__blob"></span>
                            <span class="it-btn__blob"></span>
                          </span>
                        </span>
                        <svg class="it-btn__animation" xmlns="http://www.w3.org/2000/svg" version="1.1">
                          <defs>
                            <filter>
                              <feGaussianBlur in="SourceGraphic" result="blur" stdDeviation="10">
                              </feGaussianBlur>
                              <feColorMatrix in="blur" values="1 0 0 0 0 0 1 0 0 0 0 0 1 0 0 0 0 0 21 -7" result="goo">
                              </feColorMatrix>
                              <feBlend in2="goo" in="SourceGraphic" result="mix"></feBlend>
                            </filter>
                          </defs>
                        </svg>
                      </a>
                    </div>
                  <?php endif; ?>
                </div>
              <?php endif; ?>
              <button class="offcanvas-toggle-btn ml-30 d-lg-none" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvas" aria-controls="offcanvas"><i class="far fa-bars"></i></button>
              <!-- Header Right Buttons Search Cart -->
            </div>
          </div>
        </div>
      </div>
    </div>
  </header>
  <!-- end header -->

  <!-- side info start -->
  <?php gainioz_side_info(); ?>
  <!-- side info end -->
  <div class="body-overlay"></div>
  <!-- sidebar area end -->

<?php
}


// gainioz_side_info
function gainioz_side_info()
{

  $gainioz_side_hide = get_theme_mod('gainioz_side_hide', false);
  $gainioz_side_contact_hide = get_theme_mod('gainioz_side_contact_hide', false);


  $gainioz_side_address = get_theme_mod('gainioz_side_address', __('28/4 Palmal, London', 'gainioz'));
  $gainioz_side_address_link = get_theme_mod('gainioz_side_address_link', __('#', 'gainioz'));

  $gainioz_side_phone = get_theme_mod('gainioz_side_phone', __('333 888 200 - 55', 'gainioz'));
  $gainioz_side_phone_link = get_theme_mod('gainioz_side_phone_link', __('333-888-200-55', 'gainioz'));

  $gainioz_side_mail = get_theme_mod('gainioz_side_mail', __('support@mail.com', 'gainioz'));
  $gainioz_side_mail_link = get_theme_mod('gainioz_side_mail_link', __('support@mail.com', 'gainioz'));

  $gainioz_logo = get_template_directory_uri() . '/assets/image/logos/logo_1.svg';
  $gainioz_side_logo = get_theme_mod('gainioz_side_logo', $gainioz_logo);

?>



  <div class="offcanvas offcanvas-end" tabindex="-1" id="offcanvas">
    <div class="offcanvas-body">
      <div class="offcanvas__wrapper">
        <div class="offcanvas__content">
          <div class="offcanvas__top mb-40 d-flex justify-content-between align-items-center">
            <div class="offcanvas__logo logo">
              <a href="<?php print esc_url(home_url('/')); ?>">
                <img src="<?php print esc_url($gainioz_side_logo); ?>" alt="<?php print esc_attr__('Logo', 'gainioz'); ?>">
              </a>
            </div>
            <div class="offcanvas__close">
              <button class="offcanvas__close-btn" data-bs-dismiss="offcanvas" aria-label="Close">
                <i class="fal fa-times"></i>
              </button>
            </div>
          </div>
          <div class="offcanvas__search mb-25">
            <form action="#">
              <input type="text" placeholder="<?php print esc_html__('What are you searching for?', 'gainioz') ?>">
              <button type="submit"><i class="far fa-search"></i></button>
            </form>
          </div>
          <div class="mobile-menu fix"></div>
          <?php if (!empty($gainioz_side_contact_hide)) : ?>
            <div class="offcanvas__text d-none d-lg-block">
              <p>But I must explain to you how all this mistaken idea of denouncing pleasure and praising pain was born and will give you a complete account of the system and expound the actual teachings of the great explore</p>
            </div>
            <div class="offcanvas__map d-none d-lg-block mb-15">
              <iframe src="https://www.google.com/maps/embed?pb=!1m14!1m12!1m3!1d29176.030811137334!2d90.3883827!3d23.924917699999998!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!5e0!3m2!1sen!2sbd!4v1605272373598!5m2!1sen!2sbd"></iframe>
            </div>
            <div class="offcanvas__contact mt-30 mb-20">
              <h4>Contact Info</h4>
              <ul>
                <?php if (!empty($gainioz_side_address)) : ?>
                  <li class="d-flex align-items-center">
                    <div class="offcanvas__contact-icon mr-15">
                      <i class="fal fa-map-marker-alt"></i>
                    </div>
                    <div class="offcanvas__contact-text">
                      <a target="_blank" href="<?php print esc_url($gainioz_side_address_link); ?>"><?php print esc_html($gainioz_side_address); ?></a>
                    </div>
                  </li>
                <?php endif; ?>

                <?php if (!empty($gainioz_side_phone)) : ?>
                  <li class="d-flex align-items-center">
                    <div class="offcanvas__contact-icon mr-15">
                      <i class="far fa-phone"></i>
                    </div>
                    <div class="offcanvas__contact-text">
                      <a href="tel:<?php print esc_url($gainioz_side_phone_link); ?>"><?php print esc_html($gainioz_side_phone); ?></a>
                    </div>
                  </li>
                <?php endif; ?>

                <?php if (!empty($gainioz_side_mail)) : ?>
                  <li class="d-flex align-items-center">
                    <div class="offcanvas__contact-icon mr-15">
                      <i class="fal fa-envelope"></i>
                    </div>
                    <div class="offcanvas__contact-text">
                      <a href="mailto:<?php print esc_url($gainioz_side_mail_link); ?>"><?php print esc_html($gainioz_side_mail); ?></a>
                    </div>
                  </li>
                <?php endif; ?>
              </ul>
            </div>
            <div class="offcanvas__social">
              <?php gainioz_header_social_profiles(); ?>
            </div>
          <?php endif; ?>
        </div>
      </div>
    </div>
  </div>

  <div class="offcanvas-overlay"></div>
  <!-- mobile menu info -->


  <?php }

/**
 * [gainioz_header_lang description]
 * @return [type] [description]
 */
function gainioz_header_lang_defualt()
{
  $gainioz_header_lang = get_theme_mod('gainioz_header_lang', false);
  if ($gainioz_header_lang) : ?>

    <ul>
      <li><a href="#0" class="lang__btn"><?php print esc_html__('EN', 'gainioz'); ?> <i class="ti-arrow-down"></i></a>
        <?php do_action('gainioz_language'); ?>
      </li>
    </ul>

  <?php endif; ?>
<?php
}

/**
 * [gainioz_language_list description]
 * @return [type] [description]
 */
function _gainioz_language($mar)
{
  return $mar;
}
function gainioz_language_list()
{

  $mar = '';
  $languages = apply_filters('wpml_active_languages', NULL, 'orderby=id&order=desc');
  if (!empty($languages)) {
    $mar = '<ul>';
    foreach ($languages as $lan) {
      $active = $lan['active'] == 1 ? 'active' : '';
      $mar .= '<li class="' . $active . '"><a href="' . $lan['url'] . '">' . $lan['translated_name'] . '</a></li>';
    }
    $mar .= '</ul>';
  } else {
    //remove this code when send themeforest reviewer team
    $mar .= '<ul>';
    $mar .= '<li><a href="#">' . esc_html__('USA', 'gainioz') . '</a></li>';
    $mar .= '<li><a href="#">' . esc_html__('UK', 'gainioz') . '</a></li>';
    $mar .= '<li><a href="#">' . esc_html__('CA', 'gainioz') . '</a></li>';
    $mar .= '<li><a href="#">' . esc_html__('AU', 'gainioz') . '</a></li>';
    $mar .= ' </ul>';
  }
  print _gainioz_language($mar);
}
add_action('gainioz_language', 'gainioz_language_list');

// favicon logo
function gainioz_favicon_logo_func()
{
  $gainioz_favicon = get_template_directory_uri() . '/assets/image/favicon.png';
  $gainioz_favicon_url = get_theme_mod('favicon_url', $gainioz_favicon);
?>

  <link rel="shortcut icon" type="image/x-icon" href="<?php print esc_url($gainioz_favicon_url); ?>">

<?php
}
add_action('wp_head', 'gainioz_favicon_logo_func');

// header logo
function gainioz_header_logo()
{
?>
  <?php
  $gainioz_logo_on = function_exists('get_field') ? get_field('is_enable_sec_logo') : NULL;
  $gainioz_logo = get_template_directory_uri() . '/assets/image/logos/logo_1.svg';
  $gainioz_logo_black = get_template_directory_uri() . '/assets/image/logos/logo_1.svg';

  $gainioz_site_logo = get_theme_mod('logo', $gainioz_logo);
  $gainioz_secondary_logo = get_theme_mod('seconday_logo', $gainioz_logo_black);
  ?>

  <?php
  if (has_custom_logo()) {
    the_custom_logo();
  } else {
    if (!empty($gainioz_logo_on)) {
  ?>
      <a class="standard-logo" href="<?php print esc_url(home_url('/')); ?>">
        <img src="<?php print esc_url($gainioz_secondary_logo); ?>" alt="<?php print esc_attr__('logo', 'gainioz'); ?>" />
      </a>
    <?php
    } else {
    ?>
      <a class="standard-logo" href="<?php print esc_url(home_url('/')); ?>">
        <img src="<?php print esc_url($gainioz_site_logo); ?>" alt="<?php print esc_attr__('logo', 'gainioz'); ?>" />
      </a>
  <?php
    }
  }
  ?>
<?php
}

// header logo
function gainioz_header_sticky_logo()
{ ?>
  <?php
  $gainioz_logo_black = get_template_directory_uri() . '/assets/img/logo/logo-black.png';
  $gainioz_secondary_logo = get_theme_mod('seconday_logo', $gainioz_logo_black);
  ?>
  <a class="sticky-logo" href="<?php print esc_url(home_url('/')); ?>">
    <img src="<?php print esc_url($gainioz_secondary_logo); ?>" alt="<?php print esc_attr__('logo', 'gainioz'); ?>" />
  </a>
<?php
}

function gainioz_mobile_logo()
{
  // side info
  $gainioz_mobile_logo_hide = get_theme_mod('gainioz_mobile_logo_hide', false);

  $gainioz_site_logo = get_theme_mod('logo', get_template_directory_uri() . '/assets/img/logo/logo.png');

?>

  <?php if (!empty($gainioz_mobile_logo_hide)) : ?>
    <div class="side__logo mb-25">
      <a class="sideinfo-logo" href="<?php print esc_url(home_url('/')); ?>">
        <img src="<?php print esc_url($gainioz_site_logo); ?>" alt="<?php print esc_attr__('logo', 'gainioz'); ?>" />
      </a>
    </div>
  <?php endif; ?>



<?php }

/**
 * [gainioz_header_social_profiles description]
 * @return [type] [description]
 */
function gainioz_header_social_profiles()
{
  $gainioz_topbar_fb_url = get_theme_mod('gainioz_topbar_fb_url', __('#', 'gainioz'));
  $gainioz_topbar_twitter_url = get_theme_mod('gainioz_topbar_twitter_url', __('#', 'gainioz'));
  $gainioz_topbar_instagram_url = get_theme_mod('gainioz_topbar_instagram_url', __('#', 'gainioz'));
  $gainioz_topbar_google_url = get_theme_mod('gainioz_topbar_google_url', __('#', 'gainioz'));
  $gainioz_topbar_linkedin_url = get_theme_mod('gainioz_topbar_linkedin_url', __('#', 'gainioz'));
  $gainioz_topbar_youtube_url = get_theme_mod('gainioz_topbar_youtube_url', __('#', 'gainioz'));
?>

  <?php if (!empty($gainioz_topbar_fb_url)) : ?>
    <a href="<?php print esc_url($gainioz_topbar_fb_url); ?>"><i class="fab fa-facebook-f"></i></a>
  <?php endif; ?>

  <?php if (!empty($gainioz_topbar_twitter_url)) : ?>
    <a href="<?php print esc_url($gainioz_topbar_twitter_url); ?>"><i class="fab fa-twitter"></i></a>
  <?php endif; ?>

  <?php if (!empty($gainioz_topbar_instagram_url)) : ?>
    <a href="<?php print esc_url($gainioz_topbar_instagram_url); ?>"><i class="fab fa-instagram"></i></a>
  <?php endif; ?>

  <?php if (!empty($gainioz_topbar_google_url)) : ?>
    <a href="<?php print esc_url($gainioz_topbar_google_url); ?>"><i class="fab fa-google-plus-g"></i></a>
  <?php endif; ?>

  <?php if (!empty($gainioz_topbar_linkedin_url)) : ?>
    <a href="<?php print esc_url($gainioz_topbar_linkedin_url); ?>"><i class="fab fa-linkedin-in"></i></a>
  <?php endif; ?>

  <?php if (!empty($gainioz_topbar_youtube_url)) : ?>
    <a href="<?php print esc_url($gainioz_topbar_youtube_url); ?>"><i class="fab fa-youtube"></i></a>
  <?php endif; ?>

<?php
}

function gainioz_footer_social_profiles()
{
  $gainioz_footer_fb_url = get_theme_mod('gainioz_footer_fb_url', __('#', 'gainioz'));
  $gainioz_footer_twitter_url = get_theme_mod('gainioz_footer_twitter_url', __('#', 'gainioz'));
  $gainioz_footer_instagram_url = get_theme_mod('gainioz_footer_instagram_url', __('#', 'gainioz'));
  $gainioz_footer_linkedin_url = get_theme_mod('gainioz_footer_linkedin_url', __('#', 'gainioz'));
  $gainioz_footer_youtube_url = get_theme_mod('gainioz_footer_youtube_url', __('#', 'gainioz'));
?>

  <ul>
    <?php if (!empty($gainioz_footer_fb_url)) : ?>
      <li>
        <a href="<?php print esc_url($gainioz_footer_fb_url); ?>">
          <i class="fab fa-facebook-f"></i>
        </a>
      </li>
    <?php endif; ?>

    <?php if (!empty($gainioz_footer_twitter_url)) : ?>
      <li>
        <a href="<?php print esc_url($gainioz_footer_twitter_url); ?>">
          <i class="fab fa-twitter"></i>
        </a>
      </li>
    <?php endif; ?>

    <?php if (!empty($gainioz_footer_instagram_url)) : ?>
      <li>
        <a href="<?php print esc_url($gainioz_footer_instagram_url); ?>">
          <i class="fab fa-instagram"></i>
        </a>
      </li>
    <?php endif; ?>

    <?php if (!empty($gainioz_footer_linkedin_url)) : ?>
      <li>
        <a href="<?php print esc_url($gainioz_footer_linkedin_url); ?>">
          <i class="fab fa-linkedin"></i>
        </a>
      </li>
    <?php endif; ?>

    <?php if (!empty($gainioz_footer_youtube_url)) : ?>
      <li>
        <a href="<?php print esc_url($gainioz_footer_youtube_url); ?>">
          <i class="fab fa-youtube"></i>
        </a>
      </li>
    <?php endif; ?>
  </ul>
<?php
}

/**
 * [gainioz_header_menu description]
 * @return [type] [description]
 */
function gainioz_header_menu()
{
?>
  <?php
  wp_nav_menu([
    'theme_location' => 'main-menu',
    'menu_class'     => '',
    'container'      => '',
    'fallback_cb'    => 'gainioz_Navwalker_Class::fallback',
    'walker'         => new gainioz_Navwalker_Class,
  ]);
  ?>
<?php
}

/**
 * [gainioz_header_menu_3 description]
 * @return [type] [description]
 */
function gainioz_header_menu_3()
{
?>
  <?php
  wp_nav_menu([
    'theme_location' => 'main-menu',
    'menu_class'     => 'text-center',
    'container'      => '',
    'fallback_cb'    => 'gainioz_Navwalker_Class::fallback',
    'walker'         => new gainioz_Navwalker_Class,
  ]);
  ?>
<?php
}

function gainioz_onepage_menu()
{
?>
  <?php
  wp_nav_menu([
    'theme_location' => 'onepage-menu',
    'menu_class'     => 'onepage-single-menu',
    'container'      => '',
    'fallback_cb'    => 'gainioz_Navwalker_Class::fallback',
    'walker'         => new gainioz_Navwalker_Class,
  ]);
  ?>
<?php
}

function gainioz_onepage_menu_3()
{
?>
  <?php
  wp_nav_menu([
    'theme_location' => 'onepage-menu',
    'menu_class'     => 'onepage-single-menu text-center',
    'container'      => '',
    'fallback_cb'    => 'gainioz_Navwalker_Class::fallback',
    'walker'         => new gainioz_Navwalker_Class,
  ]);
  ?>
<?php
}

/**
 *
 * gainioz footer
 */
add_action('gainioz_footer_style', 'gainioz_check_footer', 10);

function gainioz_check_footer()
{
  $gainioz_footer_style = function_exists('get_field') ? get_field('footer_style') : NULL;
  $gainioz_default_footer_style = get_theme_mod('choose_default_footer', 'footer-style-1');

  if ($gainioz_footer_style == 'footer-style-1') {
    gainioz_footer_style_1();
  } elseif ($gainioz_footer_style == 'footer-style-2') {
    gainioz_footer_style_2();
  } else {

    /** default footer style **/
    if ($gainioz_default_footer_style == 'footer-style-2') {
      gainioz_footer_style_2();
    } else {
      gainioz_footer_style_1();
    }
  }
}

/**
 * footer  style_defaut
 */
function gainioz_footer_style_1()
{

  $footer_bg_img = get_theme_mod('gainioz_footer_bg');
  $gainioz_footer_logo = get_theme_mod('gainioz_footer_logo');
  $gainioz_footer_top_space = function_exists('get_field') ? get_field('gainioz_footer_top_space') : '0';
  $gainioz_copyright_center = $gainioz_footer_logo ? 'col-lg-4 offset-lg-4 col-md-6 text-right' : 'col-lg-12 text-center';
  $gainioz_footer_bg_url_from_page = function_exists('get_field') ? get_field('gainioz_footer_bg') : '';
  $gainioz_footer_bg_color_from_page = function_exists('get_field') ? get_field('gainioz_footer_bg_color') : '';
  $footer_bg_color = get_theme_mod('gainioz_footer_bg_color');

  $gainioz_footer_bg_color_from_page_bottom = function_exists('get_field') ? get_field('gainioz_footer_bottom_bg_color') : '';

  $footer_bg_color_bottom = get_theme_mod('gainioz_footer_bg_color_bottom');

  $footer_shape = get_theme_mod('footer_shape', get_template_directory_uri() . '/assets/image/shapes/footershape2.png');
  $footer_logo = get_theme_mod('footer_logo', get_template_directory_uri() . '/assets/image/logos/logo_2.svg');

  // bg image
  $bg_img = !empty($gainioz_footer_bg_url_from_page['url']) ? $gainioz_footer_bg_url_from_page['url'] : $footer_bg_img;

  // bg color
  $bg_color = !empty($gainioz_footer_bg_color_from_page) ? $gainioz_footer_bg_color_from_page : $footer_bg_color;

  // footer Shape
  $footer_shape = get_theme_mod('footer_shape', false);
  $footer_top_swtich = get_theme_mod('footer_top_swtich', false);
  $footer_social_switch = get_theme_mod('footer_social_switch', false);

  // bg color
  $bg_color_bottom = !empty($gainioz_footer_bg_color_from_page_bottom) ? $gainioz_footer_bg_color_from_page_bottom : $footer_bg_color_bottom;


  // footer_columns
  $footer_columns = 0;
  $footer_widgets = get_theme_mod('footer_widget_number', 4);

  for ($num = 1; $num <= $footer_widgets; $num++) {
    if (is_active_sidebar('footer-' . $num)) {
      $footer_columns++;
    }
  }

  switch ($footer_columns) {
    case '1':
      $footer_class[1] = 'col-lg-12';
      break;
    case '2':
      $footer_class[1] = 'col-lg-6 col-md-6';
      $footer_class[2] = 'col-lg-6 col-md-6';
      break;
    case '3':
      $footer_class[1] = 'col-xl-4 col-lg-6 col-md-5';
      $footer_class[2] = 'col-xl-4 col-lg-6 col-md-7';
      $footer_class[3] = 'col-xl-4 col-lg-6';
      break;
    case '4':
      $footer_class[1] = 'col-lg-3 col-md-6 col-sm-6';
      $footer_class[2] = 'col-lg-3 col-md-6 col-sm-6';
      $footer_class[3] = 'col-lg-3 col-md-6 col-sm-6';
      $footer_class[4] = 'col-lg-3 col-md-6 col-sm-6';
      break;
    default:
      $footer_class = 'col-xl-3 col-lg-3 col-md-6';
      break;
  }

?>


  <footer class="footer footer--bg footer--styleOne" data-bg-color="<?php print esc_attr($bg_color); ?>" data-background="<?php print esc_url($bg_img); ?>">

    <?php if (!empty($footer_shape)) : ?>
      <img src="<?php print get_template_directory_uri() . '/assets/image/shapes/tp-footer-shape.png'; ?>" alt="<?php print esc_html__('Gainioz Shape', 'gainioz'); ?>" class="footer__shape">
    <?php endif; ?>

    <?php if (!empty($footer_top_swtich)) : ?>
      <div class="footer-top">
        <div class="container">
          <div class="footer-top-inner">
            <div class="row">
              <div class="col-sm-6">
                <div class="footer__logo">
                  <a href="<?php print esc_url(home_url('/')); ?>">
                    <img src="<?php print esc_url($footer_logo); ?>" alt="<?php print esc_attr__('Logo', 'gainioz'); ?>" class="footer__logo__image">
                  </a>
                </div>
              </div>
              <?php if ($footer_social_switch) : ?>
                <div class="col-sm-6">
                  <div class="footer__social itSocial">
                    <?php print gainioz_footer_social_profiles(); ?>
                  </div>
                </div>
              <?php endif; ?>
            </div>
          </div>
        </div>
      </div>

    <?php endif; ?>

    <?php if (is_active_sidebar('footer-1') or is_active_sidebar('footer-2') or is_active_sidebar('footer-3') or is_active_sidebar('footer-4')) : ?>
      <div class="footer-middle pt-65 pb-35">
        <div class="container">
          <div class="row">
            <?php

            if ($footer_columns < 5) {
              print '<div class="col-lg-3 col-md-4">';
              dynamic_sidebar('footer-1');
              print '</div>';

              print '<div class="col-lg-3 col-md-4">';
              dynamic_sidebar('footer-2');
              print '</div>';

              print '<div class="col-lg-3 col-md-4">';
              dynamic_sidebar('footer-3');
              print '</div>';

              print '<div class="col-lg-3">';
              dynamic_sidebar('footer-4');
              print '</div>';
            } else {
              for ($num = 1; $num <= $footer_columns; $num++) {
                if (!is_active_sidebar('footer-' . $num)) {
                  continue;
                }
                print '<div class="' . esc_attr($footer_class[$num]) . '">';
                dynamic_sidebar('footer-' . $num);
                print '</div>';
              }
            }
            ?>
          </div>
        </div>
      </div>
      <div class="footer__line-wrapper">
        <div class="container">
          <div class="row">
            <div class="col-12">
              <div class="footer__line"></div>
            </div>
          </div>
        </div>
      </div>
    <?php endif; ?>

    <div class="footer-copyright">
      <div class="container">
        <div class="row">
          <div class="col-12">
            <div class="footer__copyright pt-20 pb-20">
              <p class="footer__copyright__text mb-0"><?php print gainioz_copyright_text(); ?></p>
            </div>
          </div>
        </div>
      </div>
    </div>

  </footer>


<?php
}

/**
 * footer  style 2
 */
function gainioz_footer_style_2()
{
  $footer_bg_img = get_theme_mod('gainioz_footer_bg');
  $gainioz_footer_logo = get_theme_mod('gainioz_footer_logo');
  $gainioz_footer_top_space = function_exists('get_field') ? get_field('gainioz_footer_top_space') : '0';
  $gainioz_copyright_center = $gainioz_footer_logo ? 'col-lg-4 offset-lg-4 col-md-6 text-right' : 'col-lg-12 text-center';
  $gainioz_footer_bg_url_from_page = function_exists('get_field') ? get_field('gainioz_footer_bg') : '';
  $gainioz_footer_bg_color_from_page = function_exists('get_field') ? get_field('gainioz_footer_bg_color') : '';
  $footer_bg_color = get_theme_mod('gainioz_footer_bg_color');
  $gainioz_footer_bg_color_from_page_bottom = function_exists('get_field') ? get_field('gainioz_footer_bottom_bg_color') : '';

  $footer_logo = get_theme_mod('footer_logo', get_template_directory_uri() . '/assets/image/logos/logo_2.svg');
  $footer_bg_color_bottom = get_theme_mod('gainioz_footer_bg_color_bottom');

  // footer Shape
  $footer_shape = get_theme_mod('footer_shape', false);
  $footer_social_switch = get_theme_mod('footer_social_switch', false);

  // bg image
  $bg_img = !empty($gainioz_footer_bg_url_from_page['url']) ? $gainioz_footer_bg_url_from_page['url'] : $footer_bg_img;

  // bg color
  $bg_color = !empty($gainioz_footer_bg_color_from_page) ? $gainioz_footer_bg_color_from_page : $footer_bg_color;

  // bg color
  $bg_color_bottom = !empty($gainioz_footer_bg_color_from_page_bottom) ? $gainioz_footer_bg_color_from_page_bottom : $footer_bg_color_bottom;


  // footer_columns
  $footer_columns = 0;
  $footer_widgets = get_theme_mod('footer_widget_number', 4);

  for ($num = 1; $num <= $footer_widgets; $num++) {
    if (is_active_sidebar('footer-2-' . $num)) {
      $footer_columns++;
    }
  }

  switch ($footer_columns) {
    case '1':
      $footer_class[1] = 'col-lg-12';
      break;
    case '2':
      $footer_class[1] = 'col-lg-6 col-md-6';
      $footer_class[2] = 'col-lg-6 col-md-6';
      break;
    case '3':
      $footer_class[1] = 'col-xl-4 col-lg-6 col-md-5';
      $footer_class[2] = 'col-xl-4 col-lg-6 col-md-7';
      $footer_class[3] = 'col-xl-4 col-lg-6';
      break;
    case '4':
      $footer_class[1] = 'col-lg-3 col-md-6 col-sm-6';
      $footer_class[2] = 'col-lg-3 col-md-6 col-sm-6';
      $footer_class[3] = 'col-lg-3 col-md-6 col-sm-6';
      $footer_class[4] = 'col-lg-3 col-md-6 col-sm-6';
      break;
    default:
      $footer_class = 'col-xl-3 col-lg-3 col-md-6';
      break;
  }

?>


  <footer class="footer footer--bg footer--styleOne" data-bg-color="<?php print esc_attr($bg_color); ?>" data-background="<?php print esc_url($bg_img); ?>">


    <?php if (!empty($footer_shape)) : ?>
      <img src="<?php print get_template_directory_uri() . '/assets/image/shapes/tp-footer-shape.png'; ?>" alt="<?php print esc_html__('Gainioz Shape', 'gainioz'); ?>" class="footer__shape">
    <?php endif; ?>

    <?php if (is_active_sidebar('footer-2-1') or is_active_sidebar('footer-2-2') or is_active_sidebar('footer-2-3') or is_active_sidebar('footer-2-4')) : ?>

      <div class="footer-top">
        <div class="container">
          <div class="footer-top-inner">
            <div class="row">
              <div class="col-sm-6">
                <div class="footer__logo">
                  <a href="<?php print esc_url(home_url('/')); ?>">
                    <img src="<?php print esc_url($footer_logo); ?>" alt="<?php print esc_attr__('Logo', 'gainioz'); ?>" class="footer__logo__image">
                  </a>
                </div>
              </div>
              <?php if ($footer_social_switch) : ?>
                <div class="col-sm-6">
                  <div class="footer__social itSocial">
                    <?php print gainioz_footer_social_profiles(); ?>
                  </div>
                </div>
              <?php endif; ?>
            </div>
          </div>
        </div>
      </div>

      <div class="footer-middle pt-65 pb-35">
        <div class="container">
          <div class="row">

            <?php
            if ($footer_columns < 5) {
              print '<div class="col-lg-2 col-md-4">';
              dynamic_sidebar('footer-2-1');
              print '</div>';

              print '<div class="col-lg-2 col-md-4">';
              dynamic_sidebar('footer-2-2');
              print '</div>';

              print '<div class="col-lg-2 col-md-4">';
              dynamic_sidebar('footer-2-3');
              print '</div>';

              print '<div class="col-lg-6">';
              dynamic_sidebar('footer-2-4');
              print '</div>';
            } else {
              for ($num = 1; $num <= $footer_columns; $num++) {
                if (!is_active_sidebar('footer-2-' . $num)) {
                  continue;
                }
                print '<div class="' . esc_attr($footer_class[$num]) . '">';
                dynamic_sidebar('footer-2-' . $num);
                print '</div>';
              }
            }
            ?>
          </div>
        </div>
      </div>
      <div class="footer__line-wrapper">
        <div class="container">
          <div class="row">
            <div class="col-12">
              <div class="footer__line"></div>
            </div>
          </div>
        </div>
      </div>
    <?php endif; ?>

    <div class="footer-copyright">
      <div class="container">
        <div class="row">
          <div class="col-12">
            <div class="footer__copyright pt-20 pb-20">
              <p class="footer__copyright__text mb-0"><?php print gainioz_copyright_text(); ?></p>
            </div>
          </div>
        </div>
      </div>
    </div>

  </footer>
  <?php
}

// gainioz_copyright_text
function gainioz_copyright_text()
{

  print get_theme_mod('footer__copyright_text', esc_html('Copyright ©2024 Theme_pure. All Rights Reserved Copyright', 'gainioz'));
}

/**
 * [gainioz_breadcrumb_func description]
 * @return [type] [description]
 */
function gainioz_breadcrumb_func()
{
  global $post;
  $breadcrumb_class = '';
  $breadcrumb_show = 1;

  if (is_front_page() && is_home()) {
    $title = get_theme_mod('breadcrumb_blog_title', __('Blog', 'gainioz'));
    $breadcrumb_class = 'home_front_page';
  } elseif (is_front_page()) {
    $title = get_theme_mod('breadcrumb_blog_title', __('Blog', 'gainioz'));
    $breadcrumb_show = 0;
  } elseif (is_home()) {
    if (get_option('page_for_posts')) {
      $title = get_the_title(get_option('page_for_posts'));
    }
  } elseif (is_single() && 'post' == get_post_type()) {
    $title = get_the_title();
  } elseif (is_single() && 'product' == get_post_type()) {
    $title = get_theme_mod('breadcrumb_product_details', __('Shop', 'gainioz'));
  } elseif (is_single() && 'bdevs-services' == get_post_type()) {
    $title = get_the_title();
  } elseif (is_single() && 'bdevs-cases' == get_post_type()) {
    $title = get_the_title();
  } elseif (is_search()) {
    $title = esc_html__('Search Results for : ', 'gainioz') . get_search_query();
  } elseif (is_404()) {
    $title = esc_html__('Page not Found', 'gainioz');
  } elseif (function_exists('is_woocommerce') && is_woocommerce()) {
    $title = get_theme_mod('breadcrumb_shop', __('Shop', 'gainioz'));
  } elseif (is_archive()) {
    $title = get_the_archive_title();
  } else {
    $title = get_the_title();
  }



  $_id = get_the_ID();

  if (is_single() && 'product' == get_post_type()) {
    $_id = $post->ID;
  } elseif (function_exists("is_shop") and is_shop()) {
    $_id = wc_get_page_id('shop');
  } elseif (is_home() && get_option('page_for_posts')) {
    $_id = get_option('page_for_posts');
  }

  $is_breadcrumb = function_exists('get_field') ? get_field('is_it_invisible_breadcrumb', $_id) : '';

  if (empty($is_breadcrumb) && $breadcrumb_show == 1) {

    $bg_img_from_page = function_exists('get_field') ? get_field('breadcrumb_background_image', $_id) : '';
    $hide_bg_img = function_exists('get_field') ? get_field('hide_breadcrumb_background_image', $_id) : '';

    // get_theme_mod
    $bg_img = get_theme_mod('breadcrumb_bg_img');
    $gainioz_breadcrumb_switch = get_theme_mod('gainioz_breadcrumb_switch', true);
    $gainioz_breadcrumb_shape_switch = get_theme_mod('gainioz_breadcrumb_shape_switch', false);

    $gainioz_breadcrumb_top_shape = get_theme_mod('gainioz_breadcrumb_top_shape', get_template_directory_uri() . '/assets/image/shapes/breadcrumb-shape-1.png');

    $gainioz_breadcrumb_bottom_shape = get_theme_mod('gainioz_breadcrumb_bottom_shape', get_template_directory_uri() . '/assets/image/shapes/breadcrumb-shape-2.png');

    $gainioz_breadcrumb_pad_top = get_theme_mod('gainioz_breadcrumb_pad_top', '165px');
    $gainioz_breadcrumb_pad_bottom = get_theme_mod('gainioz_breadcrumb_pad_bottom', '138px');


    if ($hide_bg_img) {
      $bg_img = '';
    } else {
      $bg_img = !empty($bg_img_from_page) ? $bg_img_from_page['url'] : $bg_img;
    } ?>


    <?php if (!empty($gainioz_breadcrumb_switch)) : ?>

      <section class="pageBreadcumb pageBreadcumb--style1 position-relative  <?php print esc_attr($breadcrumb_class); ?>" data-bg-image="<?php print esc_attr($bg_img); ?>">

        <?php if (!empty($gainioz_breadcrumb_shape_switch)) : ?>
          <div class="sectionShape sectionShape--top d-none d-xl-flex">
            <img src="<?php print esc_url($gainioz_breadcrumb_top_shape) ?>" alt="<?php print esc_attr__('shape', 'gainioz'); ?>">
          </div>
          <div class="sectionShape sectionShape--bottom d-none d-xl-flex">
            <img src="<?php print esc_url($gainioz_breadcrumb_bottom_shape) ?>" alt="<?php print esc_attr__('shape', 'gainioz'); ?>">
          </div>
        <?php endif; ?>

        <div class="container">
          <div class="row justify-content-center">
            <div class="col-lg-9">
              <div class="pageTitle text-center">
                <h2 class="pageTitle__heading text-white text-uppercase mb-25"><?php echo wp_kses_post($title); ?></h2>
                <div class="breadcrumb-menu">
                  <?php
                  if (function_exists('bcn_display')) {
                    bcn_display();
                  } ?>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    <?php endif; ?>

  <?php
  }
}
add_action('gainioz_before_main_content', 'gainioz_breadcrumb_func');

function gainioz_breadcrumb_callback()
{
  $args = [
    'show_browse'   => false,
    'post_taxonomy' => ['product' => 'product_cat'],
  ];
  $breadcrumb = new gainioz_Breadcrumb_Class($args);

  return $breadcrumb->trail();
}

// gainioz_search_form
function gainioz_search_form()
{
  ?>
  <div class="search-wrapper p-relative transition-3 d-none">
    <div class="search-form transition-3">
      <form method="get" action="<?php print esc_url(home_url('/')); ?>">
        <input type="search" name="s" value="<?php print esc_attr(get_search_query()) ?>" placeholder="<?php print esc_attr__('Enter Your Keyword', 'gainioz'); ?>">
        <button type="submit" class="search-btn"><i class="far fa-search"></i></button>
      </form>
      <a href="javascript:void(0);" class="search-close"><i class="far fa-times"></i></a>
    </div>
  </div>
<?php
}

add_action('gainioz_before_main_content', 'gainioz_search_form');

// gainioz_search_form_2
function gainioz_search_form_2()
{
?>

  <div id="template-search" class="template-search">
    <button type="button" class="close">
      <i class="far fa-times"></i>
    </button>
    <form class="search-form" method="get" action="<?php print esc_url(home_url('/')); ?>">
      <input type="search" name="s" value="<?php print esc_attr(get_search_query()) ?>" placeholder="<?php print esc_attr__('Type your search', 'gainioz'); ?>">
      <button type="submit" class="search-btn">
        <i class="fas fa-search"></i>
      </button>
    </form>
  </div>
<?php
}

add_action('gainioz_before_main_content', 'gainioz_search_form');


/**
 *
 * pagination
 */
if (!function_exists('gainioz_pagination')) {

  function _gainioz_pagi_callback($pagination)
  {
    return $pagination;
  }

  //page navegation
  function gainioz_pagination($prev, $next, $pages, $args)
  {
    global $wp_query, $wp_rewrite;
    $menu = '';
    $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;

    if ($pages == '') {
      global $wp_query;
      $pages = $wp_query->max_num_pages;

      if (!$pages) {
        $pages = 1;
      }
    }

    $pagination = [
      'base'      => add_query_arg('paged', '%#%'),
      'format'    => '',
      'total'     => $pages,
      'current'   => $current,
      'prev_text' => $prev,
      'next_text' => $next,
      'type'      => 'array',
    ];

    //rewrite permalinks
    if ($wp_rewrite->using_permalinks()) {
      $pagination['base'] = user_trailingslashit(trailingslashit(remove_query_arg('s', get_pagenum_link(1))) . 'page/%#%/', 'paged');
    }

    if (!empty($wp_query->query_vars['s'])) {
      $pagination['add_args'] = ['s' => get_query_var('s')];
    }

    $pagi = '';
    if (paginate_links($pagination) != '') {
      $paginations = paginate_links($pagination);
      $pagi .= '<ul>';
      foreach ($paginations as $key => $pg) {
        $pagi .= '<li>' . $pg . '</li>';
      }
      $pagi .= '</ul>';
    }

    print _gainioz_pagi_callback($pagi);
  }
}


// theme color
function gainioz_custom_color()
{
  $gainioz_color_option_prim = get_theme_mod('gainioz_color_option_prim', '#7fb432');
  $gainioz_color_option_sec = get_theme_mod('gainioz_color_option_sec', '#eb9309');
  $gainioz_color_option_body = get_theme_mod('gainioz_color_option_body', '#666666');
  $gainioz_color_option_black = get_theme_mod('gainioz_color_option_black', '#000');
  $gainioz_color_option_white = get_theme_mod('gainioz_color_option_white', '#fff');

  wp_enqueue_style('gainioz-custom', GAINIOZ_THEME_CSS_DIR . 'gainioz-custom.css', []);

  if (!empty($gainioz_color_option_prim) || !empty($gainioz_color_option_sec) || !empty($gainioz_color_option_body) || !empty($gainioz_color_option_black) || !empty($gainioz_color_option_white)) {
    $custom_css = '';

    $custom_css .= "html:root{ 
        --tp-primary: " . $gainioz_color_option_prim . "; 
        --tp-secondary: " . $gainioz_color_option_sec . "; 
        --tp-body: " . $gainioz_color_option_body . ";
        --tp-black: " . $gainioz_color_option_black . ";
        --tp-white: " . $gainioz_color_option_white . "; 
      }";

    $custom_css .= "body .footer__heading{ color: " . $gainioz_color_option_white . "!important}";


    wp_add_inline_style('gainioz-custom', $custom_css);
  }
}
add_action('wp_enqueue_scripts', 'gainioz_custom_color');


// gainioz_kses_intermediate
function gainioz_kses_intermediate($string = '')
{
  return wp_kses($string, gainioz_get_allowed_html_tags('intermediate'));
}

function gainioz_get_allowed_html_tags($level = 'basic')
{
  $allowed_html = [
    'b'      => [],
    'i'      => [],
    'u'      => [],
    'em'     => [],
    'br'     => [],
    'abbr'   => [
      'title' => [],
    ],
    'span'   => [
      'class' => [],
    ],
    'strong' => [],
    'a'      => [
      'href'  => [],
      'title' => [],
      'class' => [],
      'id'    => [],
    ],
  ];

  if ($level === 'intermediate') {
    $allowed_html['a'] = [
      'href' => [],
      'title' => [],
      'class' => [],
      'id' => [],
    ];
    $allowed_html['div'] = [
      'class' => [],
      'id' => [],
    ];
    $allowed_html['img'] = [
      'src' => [],
      'class' => [],
      'alt' => [],
    ];
    $allowed_html['del'] = [
      'class' => [],
    ];
    $allowed_html['ins'] = [
      'class' => [],
    ];
    $allowed_html['bdi'] = [
      'class' => [],
    ];
    $allowed_html['i'] = [
      'class' => [],
      'data-rating-value' => [],
    ];
  }

  return $allowed_html;
}
